/* CSS Document */

:root { 
  --visual_bkmk_aspect_ratio: 1.24; /* 11/9 */
  --top_panel_height: 70px;
  --buttom_panel_height: 20px;
  
  --personal_color_red: 90;
  --personal_color_green: 90;
  --personal_color_blue: 90;
  --personal_border_radius: 3px;
  --personal_bg_color: #fff;
  --personal_bg_image: none;  
    } 
	
#body { background-color: var(--personal_bg_color); background-image: var(--personal_bg_image); }

.fsize_middle p { font-size: 13px; } .box_shadow { box-shadow: 0 0 3px rgba(0,0,0,0.3); } 

.top { 
  --search_image: url('image/searchSystems/Google.png');
     display: table; height: 65px; width: 99%; left: 0.5%; 
	   } 
.top #top_bg { display:block; position:absolute; width:100%; height:100%; left:0; top:0; opacity:0.75; background-image: url('image/top_bg.png'); 
               background-color:rgb(var(--personal_color_red),var(--personal_color_green),var(--personal_color_blue)); border-radius:var(--personal_border_radius); }
.top .child, .top .panel { display: table-cell; vertical-align:middle; position: relative; background:none; padding: 1%; }
.top #main-search #searchform { display: block; position:relative; height:32px; }
.top #main-search #search { display:block; position:relative; height:32px; font-size: 20px !important; width:98%; padding:5px 230px 5px 10px; border-radius:3px;  
    background-color:#fafafa; box-shadow: 0 0 1px rgba(0,0,0,0.3); z-index:20; border:none; background-image: url('image/form_search_bg.png');
	 box-sizing: border-box; -moz-box-sizing: border-box; -webkit-box-sizing: border-box; }
.top #search:hover, .top #search:focus { box-shadow: 0 0 3px rgba(0,0,0,0.3); }
.top a#searchsubmit { display:block; position:absolute; top:0; right:-1px; padding:5px 15px; color:#fff; height:22px; font-size: 20px !important; width: 100px;    
                      text-align:center; border-radius: 0px 3px 3px 0px;  z-index:45; text-shadow: 1px 1px 1px rgba(0,0,0,0.5); 
					  background-image: url('image/search_bg.png'); border-left: solid 1px #ccc; 
					  background-color: rgb(calc(var(--personal_color_red)/1.25), calc(var(--personal_color_green)/1.25), calc(var(--personal_color_blue)/1.25)); }

/* Search List */

.top #main-search.minimal #search { padding: 5px 75px 5px 38px; }
.top #main-search.minimal #search::placeholder {  color: transparent; }
.top #main-search.minimal ul#smena_poiska  { bottom: 0; left: 0; right: auto; height: 26px; text-indent: -1000px; width: 26px; }
.top #main-search.minimal ul#smena_poiska:after { display:block; position:absolute; left:0; top:-1px; width: 32px; height:30px; line-height: 30px; 
       text-align:center; content:''; z-index:10; border-right: 1px solid #ccc; font-size: 180%; text-indent: 0; 
	   background-size: 100%; background-position: 0px -2px; background-image: var(--search_image); }
.top #main-search.minimal ul#search_list { height: 0; left: 5px; top: 27px; text-indent: 0; }

.top .minimal.Duckduckgo { --search_image: url('image/searchSystems/DuckDuckGo.png'); }
.top .minimal.Google {  --search_image: url('image/searchSystems/Google.png'); }
.top .minimal.Yandex {  --search_image: url('image/searchSystems/Yandex.png'); }
.top .minimal.Rambler {  --search_image: url('image/searchSystems/Rambler.png'); background-position: 1px -2px; }
.top .minimal.Wiki { --search_image: url('image/searchSystems/Wiki.png'); }
.top .minimal.Mail {  --search_image: url('image/searchSystems/Mail.png'); }
.top .minimal.Bing {  --search_image: url('image/searchSystems/Bing.png'); }
.top .minimal.Yahoo {  --search_image: url('image/searchSystems/Yahoo.png'); }
.top .minimal.Nigma {  --search_image: url('image/searchSystems/Nigma.png'); }
.top .minimal.Youtube {  --search_image: url('image/searchSystems/Youtube.png'); }

.top #main-search.minimal a#searchsubmit { padding:0; height:32px; width:50px; }
.top #main-search.minimal a#searchsubmit > span { display: none; }
.top #main-search.minimal a#searchsubmit:before { position:absolute; top:0; left:0; content: '\1F50D'; width: 50px; height: 32px; z-index: 1; text-indent: 0px;
	                                font-size: 18px !important; line-height: 32px; background: #eee; color:#444; border-radius: 0 3px 3px 0; }

.top ul#smena_poiska { right: 153px; }
.top ul#search_list {  border-top-left-radius:0px; border-top-right-radius:0px; border-bottom-left-radius:3px; border-bottom-right-radius:3px; }
.top .panel { width: 170px; padding-left: 0; }
.top .panel > span, .top .panel > a { display:block; position:relative; float:right; width:32px; height:32px; overflow:hidden; border-radius:5px; cursor:pointer;
    margin-left:5px; background-image: url('image/top_panel_icon.png'); text-indent:100%; white-space: nowrap; transition-property: box-shadow; transition-duration: 0.5s;
    background-color: rgb(calc(var(--personal_color_red)/2), calc(var(--personal_color_green)/2), calc(var(--personal_color_blue)/2)); }
.top .panel #SpeedStart { background-position: -2px -2px;} .top .panel #EnterToService { background-position: -72px -2px;} .top .panel #LoggedInfo { display:none; }
.top .panel #ServiceProfile { background-position: -37px -2px;} .top .panel #ServiceSettings { background-position: -142px -2px;} 
.top .panel #BkmkPanel { background-position: -107px -2px;}
.top .panel a.ReadNews { background-position: -177px -2px;} .top .panel a.UnreadNews { background-position: -212px -2px;}
.top .panel > span:hover, .top .panel > a:hover { box-shadow: 0 0 3px rgba(0,0,0,0.5); }				

/* Search Suggest */

ul#search_suggest { background:url(image/suggest_bg.png); box-shadow: 0 5px 5px rgba(0,0,0,0.2); border-top-left-radius:0px;
						 border-top-right-radius:0px; border-bottom-left-radius:3px; border-bottom-right-radius:3px; }

/* Content Main Window */

/* Content Footer */ 

#footer { height: 19px; }
#footer .fLeft, #footer .fRight { display: none; }
#footer .fCenter {  opacity: 0.85; background-image: url('image/form_search_bg.png'); box-shadow: 0 0 3px rgba(0,0,0,0.3); 
                      background-color: rgb(var(--personal_color_red), var(--personal_color_green), var(--personal_color_blue));
                      border-radius: calc(var(--personal_border_radius)*3) calc(var(--personal_border_radius)*3) 0 0; }
#footer .fCenter a { padding: 0px 15px; height: 24px; overflow: hidden; margin: 0 1.5px; line-height: 34px; box-shadow: 0 0 3px rgba(0,0,0,0.3); 
                      border-radius: 2px; background-color: rgb(var(--personal_color_red), var(--personal_color_green), var(--personal_color_blue)); }
#footer .fCenter a.active { background-image: url('image/search_bg.png'); background-position: bottom; }

#workTables { margin-top: -2px; }
#hiddenBkmk[disabled], #unsortedBkmk[disabled] { opacity: 0.25; cursor: no-drop; } #hiddenBkmk, #unsortedBkmk { opacity: 1.0; cursor:pointer; } 
#hiddenBkmk { background-position:center -7px; }  #unsortedBkmk { background-position:center -5px;  }

/* Content BKMK design */ 

.bkmk_no, .bkmk_wait, .bkmk_yes { box-shadow: 0 0 3px rgba(0,0,0,0.3);   border:none; border-radius:var(--personal_border_radius); }
.bkmk_no { background-image: url(image/bkmk_bg.png), url(image/bkmk_bg_plus.png); background-position: left top, center center; background-repeat: repeat-x, no-repeat; cursor:pointer; }	  
.bkmk_wait { background-image: url(image/bkmk_bg.png), url(image/loading.gif);  background-position: left top, center center; background-repeat: repeat-x, repeat; }
.bkmk_no:hover, .bkmk_no.dragEnter { 
   opacity: 1.0; box-shadow: 0 0 6px rgba(0,0,0,0.6); background-image: url(image/bkmk_bg.png), url(image/bkmk_bg_plus_hover.png); background-position: left bottom, center center; }

.img_title {  color:#fff; font-weight:bold; transition-property: opacity, left, bottom; transition-duration: 0.25s;
			   text-shadow: 1px 1px 1px rgba(0,0,0,0.1), -1px -1px 1px rgba(0,0,0,0.1), -1px 1px 1px rgba(0,0,0,0.1), 1px -1px 1px rgba(0,0,0,0.1),
			                1px 0px 1px rgba(0,0,0,0.1), -1px 0px 1px rgba(0,0,0,0.1), 0px 1px 1px rgba(0,0,0,0.1), 0px -1px 1px rgba(0,0,0,0.1); }	
.img_title > p { box-sizing: border-box;  background-image: url(image/title_bg.png); border-radius:6px; padding: 1% 8%;}					
.img_title > p > span { display:block; overflow: hidden; white-space: nowrap; text-overflow: ellipsis; }

.bkmk_folder { transition:0.25s; user-select: none; border-radius:0 var(--personal_border_radius) var(--personal_border_radius) var(--personal_border_radius); } 
.bkmk_folder::before { border-radius: var(--personal_border_radius) var(--personal_border_radius) 0 0; } 
.bkmk_folder .front {  border-radius: var(--personal_border_radius); text-shadow: 1px 1px 1px rgba(255, 255, 255, 0.1); box-shadow: 0 0 3px rgba(0,0,0,0.3); } 

.bkmk_folder.blue, .bkmk_folder.blue::before { box-shadow: 0 0 3px #93bad8; }
.bkmk_folder.green, .bkmk_folder.green::before { box-shadow: 0 0 3px #6aea54; }
.bkmk_folder.yellow, .bkmk_folder.yellow::before { box-shadow: 0 0 3px #f0f95f; }
.bkmk_folder.violet, .bkmk_folder.violet::before { box-shadow: 0 0 3px #c740bc; }
.bkmk_folder.gray, .bkmk_folder.gray::before { box-shadow: 0 0 3px #888; }

.bkmk_folder.opened .BkmkTab { top: 1%; }

/* LOGIN / REGISTRATION: Box and Icons */

.vhod_active, .vhod_inactive { float:left; text-align:center; padding:1% 2%; margin-left:2%; border-top:solid 1px #ccc;   
   border-left:solid 1px #ccc; border-right:solid 1px #ccc; cursor:pointer; font-weight:bold;}
.vhod_active { border-bottom: 1px solid #fff; background-color:#fff; color:#333; }  .vhod_inactive { border-bottom: 1px solid #ccc; background-color:#fafafa; color:#666; }
.cont_zag {width:100%; overflow:hidden; position:relative; z-index:2; text-align:left; font-size:90%; margin-top:15px;}
.cont_var {border:solid 1px #ccc; margin-top:-1px; z-index:0; position:relative;}
#var_1, #var_2 {margin:15px; font-size:90%; position:relative;} #TestUserName { margin:5px auto; width:50%; text-align:center; padding:5px; background-color:#fafafa; color:green;}
#bmlist { list-style: none; }

a.small_loginvia { display:block; float:left; margin:10px 3px 0px; width:32px; height:32px; text-indent:-9999px; border-radius:4px;    
    background-image: url('image/providers/providers_icons.png') !important; background-color: none; opacity:0.9; transition-property: box-shadow; transition-duration: 0.5s; }
	
a.small_loginvia:hover { opacity:1.0; box-shadow:0 0 5px rgba(0,0,0,0.5); border-radius:4px;} a.small_loginvia.vkontakte {background-position: 0px 0px;}
a.small_loginvia.odnoklassniki {background-position: -32px 0px;} a.small_loginvia.facebook {background-position: -64px 0px;} 
a.small_loginvia.twitter {background-position: -96px 0px;} a.small_loginvia.google {background-position: -128px 0px;} 
a.small_loginvia.yandex {background-position: -160px 0px; }

@media only screen and (min-width: 2400px){
  .top .panel { width: 180px; }
	  }

@media only screen and (max-width: 1000px){
  .top {  height: 60px;  }
  .top .child { padding-left: 2%; }
  .top .panel { padding-right: 2%; }
	  }
	  
@media only screen and (max-width: 750px){
  .top {  height: 55px;  }
	  }